<?php
// checked whether user is logged in
if ($Auth->loggedIn())
{
    // load recent from account
    $urls = shortUrl::loadAllRecentByAccount($Auth->id, true);
}
else
{
    // load recent from IP
    $urls = shortUrl::loadAllRecentByIp(getUsersIPAddress(), true);
}
?>

<div class="span3 portfolio_sidebar">
    <div class="well">
        <h5>
            <?php echo t("your_recent_urls", "Your Urls"); ?> <?php echo COUNT($urls) ? '(' . COUNT($urls) . ')' : ''; ?>
        </h5>

        <?php
        // load all urls for current user
        if (COUNT($urls))
        {
            echo "<table class='table table-striped urlListing'>";
            foreach ($urls AS $url)
            {
                echo "<tr>";
                echo "  <td>";
                echo "      <a href='" . WEB_ROOT . "/" . $url['shortUrl'] . "'>/" . $url['shortUrl'] . "</a>";
                echo "  </td>";
                echo "  <td>";
                echo "      <a href='" . WEB_ROOT . "/" . $url['shortUrl'] . "~s'>" . t("stats", "stats") . "</a> | <a href='" . WEB_ROOT . "/index.html?u=" . $url['id'] . "&success=1'>" . t("info", "info") . "</a>";
                echo "  </td>";
                echo "</tr>";
            }
            echo "</table>";
        }
        else
        {
            echo '- '.t('you_have_not_created_any_recent_urls', 'You have not created any recent urls. <a href="[[[WEB_ROOT]]]/index.[[[SITE_CONFIG_PAGE_EXTENSION]]]">Click here</a> to create one now.', array('WEB_ROOT'=>WEB_ROOT, 'SITE_CONFIG_PAGE_EXTENSION'=>SITE_CONFIG_PAGE_EXTENSION));
        }
        ?>
    </div>
</div>
